      SUBROUTINE COLUM(XMLW)                                            
      SAVE
      PARAMETER(KMX=96)
      include "blank.h"
      COMMON/COLMTR/XXN(KMX),COL(KMX),CNO2(KMX),CNO(KMX),CNN2(KMX)      
     1,CLNO3(KMX)                                                       
      SHTX=1.38E-16*TN(KMX)/(1.66E-24*GZ(KMX))                          
      COL(KMX)=XXN(KMX)*SHTX/XMLW                                       
      KMX1=KMX-1                                                        
      DO 1 K=KMX1,1,-1                                                  
      K1=K+1                                                            
      ALP=ALOG(XXN(K1)/XXN(K))/(ZQHT(K1)-ZQHT(K))                       
      IF(ALP.EQ.0) GO TO 2                                              
      COL(K)=COL(K1)+XXN(K)*(EXP(ALP*(ZQHT(K1)-ZQHT(K)))-1.)/ALP        
      GO TO 1                                                           
  2   COL(K)=COL(K1)+XXN(K)*(ZQHT(K1)-ZQHT(K))                          
  1   CONTINUE                                                          
      RETURN                                                            
      END                                                               
